glab(1)

NAME
glab-attestation - Manage software attestations. (EXPERIMENTAL)

SYNOPSIS
glab attestation [flags]

DESCRIPTION
Manage software attestations for artifacts built in GitLab CI/CD pipelines. An attestation is a signed statement about an artifact, such as a provenance statement that records how the artifact was built.

Use this command to verify that an artifact was built by the expected GitLab project and pipeline.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Verify attestation for filename.txt in the gitlab-org/gitlab project
    glab attestation verify gitlab-org/gitlab filename.txt
    # Verify attestation for filename.txt in the project with ID 123
    glab attestation verify 123 filename.txt

SEE ALSO
glab(1), glab-attestation-verify(1)